summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-misc/idesk
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-misc/idesk')
-rw-r--r--x11-misc/idesk/Manifest1
-rw-r--r--x11-misc/idesk/files/idesk-0.7.5-glibc-2.12.patch17
-rw-r--r--x11-misc/idesk/idesk-0.7.5-r2.ebuild39
-rw-r--r--x11-misc/idesk/metadata.xml8
4 files changed, 65 insertions, 0 deletions
diff --git a/x11-misc/idesk/Manifest b/x11-misc/idesk/Manifest
new file mode 100644
index 00000000000..f90d1975f3b
--- /dev/null
+++ b/x11-misc/idesk/Manifest
@@ -0,0 +1 @@
+DIST idesk-0.7.5.tar.bz2 185858 SHA256 d4b7ea5dcf6d49d83e2df9512d4c6388f11632a702b14f42a1bc6bffb617b3d3
diff --git a/x11-misc/idesk/files/idesk-0.7.5-glibc-2.12.patch b/x11-misc/idesk/files/idesk-0.7.5-glibc-2.12.patch
new file mode 100644
index 00000000000..c4ac03e206e
--- /dev/null
+++ b/x11-misc/idesk/files/idesk-0.7.5-glibc-2.12.patch
@@ -0,0 +1,17 @@
+Fixes build with glibc-2.12
+
+http://bugs.gentoo.org/333515
+https://bugs.launchpad.net/ubuntu/+source/idesk/+bug/592602
+
+Patch written by Bhavani Shankar <bhavi@ubuntu.com>
+--- idesk-0.7.5/src/DesktopConfig.cpp
++++ idesk-0.7.5/src/DesktopConfig.cpp
+@@ -24,6 +24,8 @@
+
+ #include "DesktopConfig.h"
+ #include "Util.h"
++#include <sys/types.h> // For stat()
++#include <sys/stat.h> // For stat()
+
+ //the initilizer list just sets the program defaults for non-necessary options
+ DesktopConfig::DesktopConfig(Database db, string ideskrcFile) :
diff --git a/x11-misc/idesk/idesk-0.7.5-r2.ebuild b/x11-misc/idesk/idesk-0.7.5-r2.ebuild
new file mode 100644
index 00000000000..4db3595ecf7
--- /dev/null
+++ b/x11-misc/idesk/idesk-0.7.5-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+inherit eutils
+
+DESCRIPTION="Utility to place icons on the root window"
+HOMEPAGE="http://idesk.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ppc ppc64 sparc x86"
+IUSE=""
+
+RDEPEND=">=media-libs/imlib2-1.4[X]
+ media-libs/freetype
+ dev-libs/libxml2
+ dev-libs/glib:2
+ x11-libs/pango
+ x11-libs/gtk+:2
+ media-libs/libart_lgpl
+ x11-libs/startup-notification"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS NEWS README TODO )
+
+src_prepare() {
+ sed -i \
+ -e 's,/usr/local/,/usr/,' \
+ examples/default.lnk || die
+ epatch "${FILESDIR}"/${P}-glibc-2.12.patch #333515
+}
+
+src_configure() {
+ econf --enable-libsn
+}
diff --git a/x11-misc/idesk/metadata.xml b/x11-misc/idesk/metadata.xml
new file mode 100644
index 00000000000..fb0d57fe87f
--- /dev/null
+++ b/x11-misc/idesk/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>desktop-misc</herd>
+ <upstream>
+ <remote-id type="sourceforge">idesk</remote-id>
+ </upstream>
+</pkgmetadata>